Create a component

View as Markdown

Creates a new component. The component is created in an active state with an initial draft. Use the POST /components/{componentId}/versions endpoint to publish a version.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Request

This endpoint expects an object.
namestringRequiredformat: "^[a-zA-Z0-9\-_.]+$"1-60 characters
The component's name. This must be unique within the team and can only contain letters, digits, hyphens, underscores, and periods and can't exceed 60 characters.
typeenumRequired
The component's type. Corresponds to the specification that the component's content adheres to.
contentstringRequired

The component’s content, up to a maximum of 500 KB (UTF-8).

formatenumOptionalDefaults to YAML
The component's content format. Defaults to YAML.

Response

Component Created
idstring
The component's ID.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error